<?php
// $Id: user_activity.admin.inc,v 1.1.4.3 2008/12/23 22:58:26 stalski Exp $ 
// by Jochen Stals - ONE-agency - www.one-agency.be


/**
 * Function to maintain and administer specific settings
 *
 * @return settingsform
 */
function user_activity_admin_settings() {
  $form['hb_fields'] = array(
    '#type' => 'fieldset',  
    '#weight' => -5,   
    '#title' => t('Heartbeat log settings'),
    '#collapsible' => TRUE,
    '#collapsed' => FALSE, 
  );
  $form['hb_fields']['user_activity_no_duplicate_seconds'] = array(
    '#title' => t('Total timespan to show in heartbeat views'),
    '#type' => 'textfield',
    '#size' => 40,
    '#default_value' => variable_get('user_activity_no_duplicate_seconds',172800),
    '#description' => t('You can set this to your needs. For example 36000 is 10h, 172800 is 24h')
  );
  $form['hb_fields']['user_activity_grouping_seconds'] = array(
    '#title' => t('Maximum gap (in seconds) for the same activity to be grouped together and before an identical activity can be logged again'),
    '#type' => 'textfield',
    '#size' => 40,
    '#default_value' => variable_get('user_activity_grouping_seconds',7200)
  );
  $form['hb_fields']['user_activity_grouping_how_many'] = array(
    '#title' => t('Maximum number of items that can be grouped'),
    '#type' => 'textfield',
    '#size' => 20,
    '#default_value' => variable_get('user_activity_grouping_how_many',5)
  );
  $form['hb_fields']['heartbeat_block_public_items_max'] = array(
    '#title' => t('Maximum items in the public heartbeat'),
    '#type' => 'textfield',
    '#size' => 20,
    '#default_value' => variable_get('heartbeat_block_public_items_max',5)
  );
  return system_settings_form($form);
}