<?php
// $Id: user_activity.rules_defaults.inc,v 1.1.2.7.2.4 2008/12/23 22:58:24 stalski Exp $


/**
 * @file
 * Rules' pre-configured rules for default drupal core behaviour.
 */

/**
 * Implementation of hook_rules_defaults
 *
 * @return configured rules array
 */
function user_activity_rules_defaults() {  	
	return	array (
		  'rules' => 
		  array (
		    'rules_heartbeat_0' => 
		    array (
		      '#type' => 'rule',
		      '#categories' => array('heartbeat'),
		      '#set' => 'event_node_update',
		      '#label' => 'Heartbeat - user updates content',
		      '#active' => 1,
		      '#weight' => '0',
		      '#status' => 'default',
		      '#conditions' => 
		      array (),
		      '#actions' => 
		      array (
		        0 => 
		        array (
		          '#weight' => 5,
		          '#type' => 'action',
		          '#settings' => 
		          array (
		            'uid_param' => '[user:user-id]',
		            'uid_target_param' => '[user:uid]',
		            'nid_target_param' => '[node:nid]',
		            'message_id_param' => 'heartbeat_edit_node',
		            'variables_param' => '@username=|=[node:author-name-url]-|-@node_type=|=[node:type]-|-@node_title=|=[node:title-link]-|-',
		            '#eval input' => 
		            array (
		              'token_rules_input_evaluator' => 
		              array (
		                'uid_param' => 
		                array (
		                  0 => 'user',
		                ),
		                'nid_target_param' => 
		                array (
		                  0 => 'node',
		                ),
		                'variables_param' => 
		                array (
		                  0 => 'node',
		                ),
		                'uid_target_param' => 
		                array (
		                  0 => 'user',
		                ),
		              ),
		            ),
		          ),
		          '#name' => 'user_activity_rules_default_action',
		          '#info' => 
		          array (
		            'label' => 'Logs relational user activity on node change',
		            'label callback' => false,
		            'eval input' => 
		            array (
		              0 => 'uid_param',
		              1 => 'uid_target_param',
		              2 => 'nid_target_param',
		              3 => 'message_id_param',
		              4 => 'variables_param',
		            ),
		            'module' => 'User activity',
		          ),
		        ),
		      ),
		    ),
		    'rules_heartbeat_1' => 
		    array (
		      '#type' => 'rule',
          '#categories' => array('heartbeat'),
		      '#set' => 'event_node_insert',
		      '#label' => 'Heartbeat - user adds new page content',
		      '#active' => 1,
		      '#weight' => '10',
		      '#status' => 'default',
		      '#conditions' => 
		      array (
		        0 => 
		        array (
		          '#weight' => 0,
		          '#info' => 
		          array (
		            'label' => 'Created content is published',
		            'arguments' => 
		            array (
		              'node' => 
		              array (
		                'type' => 'node',
		                'label' => 'Inhoud',
		              ),
		            ),
		            'module' => 'Node',
		          ),
		          '#name' => 'rules_condition_content_is_published',
		          '#settings' => 
		          array (
		            '#argument map' => 
		            array (
		              'node' => 'node',
		            ),
		          ),
		          '#type' => 'condition',
		        ),
		        1 => 
		        array (
		          '#type' => 'condition',
		          '#settings' => 
		          array (
		            'type' => 
		            array (
		              'page' => 'page',
		            ),
		            '#argument map' => 
		            array (
		              'node' => 'node',
		            ),
		          ),
		          '#name' => 'rules_condition_content_is_type',
		          '#info' => 
		          array (
		            'label' => 'Created content is Pagina',
		            'arguments' => 
		            array (
		              'node' => 
		              array (
		                'type' => 'node',
		                'label' => 'Inhoud',
		              ),
		            ),
		            'module' => 'Node',
		          ),
		          '#weight' => 0,
		        ),
		      ),
		      '#actions' => 
		      array (
		        0 => 
		        array (
		          '#weight' => 10,
		          '#info' => 
		          array (
		            'label' => 'Logs relational user activity',
		            'eval input' => 
		            array (
		              0 => 'uid_param',
		              1 => 'uid_target_param',
		              2 => 'nid_target_param',
		              3 => 'message_id_param',
		              4 => 'variables_param',
		            ),
		            'module' => 'User activity',
		          ),
		          '#name' => 'user_activity_rules_default_action',
		          '#settings' => 
		          array (
		            'uid_param' => '[user:user-id]',
		            'uid_target_param' => '',
		            'nid_target_param' => '[node:nid]',
		            'message_id_param' => 'heartbeat_add_node',
		            'variables_param' => '@type=|=[node:type]-|-@user=|=[user:user-name-url]-|-@title=|=[node:title-link]-|-',
		            '#eval input' => 
		            array (
		              'token_rules_input_evaluator' => 
		              array (
		                'uid_param' => 
		                array (
		                  0 => 'user',
		                ),
		                'nid_target_param' => 
		                array (
		                  0 => 'node',
		                ),
		                'variables_param' => 
		                array (
		                  0 => 'node',
		                  1 => 'user',
		                ),
		              ),
		            ),
		          ),
		          '#type' => 'action',
		        ),
		      ),
		    ),
		    'rules_heartbeat_2' => 
		    array (
		      '#type' => 'rule',
          '#categories' => array('heartbeat'),
		      '#set' => 'event_comment_insert',
		      '#label' => 'Heartbeat - user replies to content (all types)',
		      '#active' => 1,
		      '#weight' => '3',
		      '#status' => 'default',
		      '#conditions' => 
		      array (
		      ),
		      '#actions' => 
		      array (
		        0 => 
		        array (
		          '#weight' => 8,
		          '#info' => 
		          array (
		            'label' => 'Logs relational user activity',
		            'eval input' => 
		            array (
		              0 => 'uid_param',
		              1 => 'uid_target_param',
		              2 => 'nid_target_param',
		              3 => 'message_id_param',
		              4 => 'variables_param',
		            ),
		            'module' => 'User activity',
		          ),
		          '#name' => 'user_activity_rules_default_action',
		          '#settings' => 
		          array (
		            'uid_param' => '[user:user-id]',
		            'uid_target_param' => '[node:author-uid]',
		            'nid_target_param' => '[node:nid]',
		            'message_id_param' => 'heartbeat_add_comment',
		            'variables_param' => '@username=|=[user:user-name-url]  -|-@title=|=[node:title-link]-|-',
		            '#eval input' => 
		            array (
		              'token_rules_input_evaluator' => 
		              array (
		                'uid_param' => 
		                array (
		                  0 => 'user',
		                ),
		                'uid_target_param' => 
		                array (
		                  0 => 'node',
		                ),
		                'nid_target_param' => 
		                array (
		                  0 => 'node',
		                ),
		                'variables_param' => 
		                array (
		                  0 => 'node',
		                  1 => 'user',
		                ),
		              ),
		            ),
		          ),
		          '#type' => 'action',
		        ),
		      ),
		    ),
		    'rules_heartbeat_3' => 
		    array (
		      '#type' => 'rule',
          '#categories' => array('heartbeat'),
		      '#set' => 'event_comment_update',
		      '#label' => 'Heartbeat - user changes a reply (update comment)',
		      '#active' =>0,
		      '#weight' => '0',
		      '#status' => 'default',
		      '#conditions' => 
		      array (
		      ),
		      '#actions' => 
		      array (
		        0 => 
		        array (
		          '#weight' => 5,
		          '#info' => 
		          array (
		            'label' => 'Logs relational user activity',
		            'eval input' => 
		            array (
		              0 => 'uid_param',
		              1 => 'uid_target_param',
		              2 => 'nid_target_param',
		              3 => 'message_id_param',
		              4 => 'variables_param',
		            ),
		            'module' => 'User activity',
		          ),
		          '#name' => 'user_activity_rules_default_action',
		          '#settings' => 
		          array (
		            'uid_param' => '[user:user-id]',
		            'uid_target_param' => '[node:author-uid]',
		            'nid_target_param' => '[node:nid]',
		            'message_id_param' => 'heartbeat_edit_comment',
		            'variables_param' => '@username=|=[user:user-name-url]-|-@title=|=[node:title-link]-|-',
		            '#eval input' => 
		            array (
		              'token_rules_input_evaluator' => 
		              array (
		                'uid_param' => 
		                array (
		                  0 => 'user',
		                ),
		                'uid_target_param' => 
		                array (
		                  0 => 'node',
		                ),
		                'nid_target_param' => 
		                array (
		                  0 => 'node',
		                ),
		                'variables_param' => 
		                array (
		                  0 => 'node',
		                  1 => 'user',
		                ),
		              ),
		            ),
		          ),
		          '#type' => 'action',
		        ),
		      ),
		    ),
		    
		    /**
		     * The default heartbeat flag message 
		     * Event invoked by flag-form
		     */
				'rules_heartbeat_4' => 
		    array (
		      '#type' => 'rule',
          '#categories' => array('heartbeat'),
		      '#set' => 'event_heartbeat_flag_post',
		      '#label' => 'Heartbeat -  User flags another user choosing one of the flagged messages',
		      '#active' => 0,
		      '#weight' => '0',
		      '#status' => 'default',
		      '#conditions' => 
		      array (
		      ),
		      '#actions' => 
		      array (
		        0 => 
		        array (
		          '#weight' => 0,
		          '#info' => 
		          array (
		            'label' => 'Logs relational user activity when flagging a user',
		            'eval input' => 
		            array (
		              0 => 'uid_param',
		              1 => 'uid_target_param',
		              2 => 'message_id_param',
		              3 => 'access_param',
		              4 => 'variables_param',
		            ),
		            'module' => 'heartbeat',
		          ),
		          '#name' => 'heartbeat_flag_rules_action',
		          '#settings' => 
		          array (
		            'uid_param' => '[user:user-id]',
		            'uid_target_param' => '[flagged_user:uid]',
		            'message_id_param' => '[message_id:message-id-raw]',
		            'access_param' => '[access:message-access]',
		            'variables_param' => '@username=|=[user:user-name-url]-|-@username_target=|=[flagged_user:user-name-url]-|-',
		            '#eval input' => 
		            array (
		              'token_rules_input_evaluator' => 
		              array (
		                'uid_param' => 
		                array (
		                  0 => 'user',
		                ),
		                'uid_target_param' => 
		                array (
		                  0 => 'flagged_user',
		                ),
		                'message_id_param' => 
		                array (
		                  0 => 'message_id',
		                ),
		                'access_param' => 
		                array (
		                  0 => 'access',
		                ),
		                'variables_param' => 
		                array (
		                  0 => 'user',
		                  1 => 'flagged_user',
		                ),
		              ),
		            ),
		          ),
		          '#type' => 'action',
		        ),
		      ),
		    ),
		    
		    
				    
		  'rules_heartbeat_5' => 
		    array (
		      '#type' => 'rule',
          '#categories' => array('heartbeat'),
		      '#set' => 'event_user_update',
		      '#label' => 'Heartbeat - After user updates his account',
		      '#active' => 1,
		      '#weight' => '0',
		      '#status' => 'default',
		      '#conditions' => 
		      array (
		      ),
		      '#actions' => 
		      array (
		        0 => 
		        array (
		          '#weight' => 0,
		          '#info' => 
		          array (
		            'label' => 'Logs default user activity',
		            'eval input' => 
		            array (
		              0 => 'uid_param',
		              1 => 'uid_target_param',
		              2 => 'nid_target_param',
		              3 => 'message_id_param',
		              4 => 'variables_param',
		            ),
		            'module' => 'heartbeat',
		          ),
		          '#name' => 'user_activity_rules_default_action',
		          '#settings' => 
		          array (
		            'uid_param' => '[user:user-id]',
		            'uid_target_param' => '0',
		            'nid_target_param' => '0',
		            'message_id_param' => 'heartbeat_edit_account',
		            'variables_param' => '@username=|=[account:user-name-url]-|-',
		            '#eval input' => 
		            array (
		              'token_rules_input_evaluator' => 
		              array (
		                'uid_param' => 
		                array (
		                  0 => 'user',
		                ),
		                'variables_param' => 
		                array (
		                  0 => 'account',
		                ),
		              ),
		            ),
		          ),
		          '#type' => 'action',
		        ),
		      ),
		    ),
    
    
		  ),
		);
  
}